Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Controller Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | COMPLEX TYPES | SIMPLE TYPES | GROUPS | ATTRIBUTE GROUPS | FRAMES | NO FRAMES

## namespace bea.com/loc/controller

Element Summary
loc-controller | Definition of the root controller element.

Complex Type Summary
agentBindingsType | Holds the list of agent bindings.
agentBindingsType/agent |
agentBindingType | Defines the agent to shich the controller is configured with.
agentBindingType/name | Name of the agent.
agentBindingType/description | Description of the agent.
agentBindingType/host | Host of the agent.
agentBindingType/port | Port.
agentBindingType/secure-port | Secure port.
agentBindingType/state | Defines the state of the agent.
agentBindingType/password | Password.
controllerType | Definition of the root controller node.
controllerType/network | Network definition for the controller.
controllerType/use-secure-connections | Flag to indicate if secure communication must be used.
controllerType/jmx-remote-port | JMX Remote port.
controllerType/console-mode | Defines the console mode.
controllerType/adjudication-timeout | Defines the adjudication timeout.
controllerType/logging | Definition of the logging properties.
controllerType/audit | Definition of the audit properties.
controllerType/work-managers | Definition of the work managers.
controllerType/heartbeat-interval | Determines how often the controller will poll the agent.
controllerType/reconnect-attempts | Determines the number of times the controller will try to connect to the agent before it stops.
controllerType/agents | Definition of the configured agent.
controllerType/lvm-ssh-config | LVM SSH config file location.
controllerType/notification | Definition of the notification properties.
jmsJndiPropertiesType | Definition of the JMS JNDI properties.
jmsJndiPropertiesType/initial-factory | Initial factory.
jmsJndiPropertiesType/provider-url | Provider URL.
jmsJndiPropertiesType/security-principal | Security principal.
jmsJndiPropertiesType/password | Password.
jmsNotificationType | Definition of the JMS notification properties.
jmsNotificationType/name | Name.
jmsNotificationType/description | Description.
jmsNotificationType/destination-jndi-name | Destination JNDI Name.
jmsNotificationType/connection-factory-jndi-name | Connection factory JNDI name.
jmsNotificationType/jndi-properties | JNDI properties for JMS.
jmsNotificationType/enabled | Defines if JMS notification is enabled.
jmxNotificationType | Defines JMX Notification properties.
jmxNotificationType/name | Name.
jmxNotificationType/description | Description.
jmxNotificationType/enabled | Flag to indicate if JMX notification is enabled.
lvmSSHConfigType | Definition of the lvmSSHConfig properties.
lvmSSHConfigType/public-key-file | location of the public key file
notificationsType | Definition of all the available notification for the controller.
notificationsType/smtp |
notificationsType/jms |
notificationsType/jmx |
notificationsType/snmp |
propertiesType | Properties
propertiesType/property | A property
propertyType | A property with the name, description and value
propertyType/name | Property name
propertyType/description | Property description
propertyType/value | Property value
smtpNotificationType | Definition of the default SMTP notification properties.
smtpNotificationType/name | Name.
smtpNotificationType/description | Description.
smtpNotificationType/to-address | A comma seperated list of recepient email addresses.
smtpNotificationType/from-address | From address.
smtpNotificationType/smtp-server | SMTP Server.
smtpNotificationType/enabled | Defines if SMTP notification is enabled.
smtpNotificationType/ssl-enabled | a
smtpNotificationType/authentication-enabled | b
smtpNotificationType/smtp-port | c
smtpNotificationType/smtp-user | d
smtpNotificationType/smtp-password | e
smtpNotificationType/additional-properties | Additional SMTP properties
snmpAgentType | Definition of the SNMP agent.
snmpAgentType/name | Name.
snmpAgentType/description | Description.
snmpAgentType/host | Host.
snmpAgentType/port | Port.
snmpAgentType/trap-version | Trap version.
snmpAgentType/enable-inform | Flag to enable inform.
snmpNotificationType | Defines the SNMP Notification properties.
snmpNotificationType/name | Name.
snmpNotificationType/description | Description.
snmpNotificationType/agent | Defines the SNMP agent.
snmpNotificationType/trap-destinations | Defines the trap destinations.
snmpNotificationType/enabled | Defines if SNMP is enabled.
trapDestinationsType | Holds a list of trap destinations.
trapDestinationsType/destination |
trapDestinationType | Definition of an SNMP trap destination.
trapDestinationType/name | Name.
trapDestinationType/description | Description.
trapDestinationType/host | Host.
trapDestinationType/port | Port.
trapDestinationType/community | Community.
trapDestinationType/security-name | Security name.
trapDestinationType/security-level | Security level.

Simple Type Summary
agentStateTypes | Defines all the agent state types.
consoleModeTypes | Definition the available console modes.
trapDestinationSecurityLevelTypes | Allowable trap destination security level types.
trapVersionTypes | Allowable trap version types.

Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Controller Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | COMPLEX TYPES | SIMPLE TYPES | GROUPS | ATTRIBUTE GROUPS | FRAMES | NO FRAMES